#include <bits/stdc++.h>

using namespace std;

int main()
{
    char a[19],b[19],c[19];
    char maxi[57],max1[57],max2[57],max3[57],max4[57],max5[57];
    int an=0,bn=0,cn=0,i=0;
    scanf("%s%s%s",&a,&b,&c);
    strcpy(maxi,a);
        strcat(maxi,b);
        strcat(maxi,c);
    strcpy(max1,a);
        strcat(max1,c);
        strcat(max1,b);
    if (strcmp(maxi,max1)<0) strcpy(maxi,max1);
    strcpy(max2,b);
        strcat(max2,a);
        strcat(max2,c);
    if (strcmp(maxi,max2)<0) strcpy(maxi,max2);
    strcpy(max3,b);
        strcat(max3,c);
        strcat(max3,a);
    if (strcmp(maxi,max3)<0) strcpy(maxi,max3);
    strcpy(max4,c);
        strcat(max4,a);
        strcat(max4,b);
    if (strcmp(maxi,max4)<0) strcpy(maxi,max4);
    strcpy(max5,c);
        strcat(max5,b);
        strcat(max5,a);
    if (strcmp(maxi,max5)<0) strcpy(maxi,max5);
    printf("%s",maxi);
}